Preskočiť na obsah
API dokumentácia

SmartEmailing compatible API v3

The same paths, envelopes and errors as SmartEmailing REST API v3 (read operations and account webhooks). HTTP Basic: member e-mail + API key.

Technická referencia je v angličtine (rovnako ako strojovo čitateľný dokument OpenAPI). Celú skupinu pre AI agenta načítate z /api/openapi.json?tag=SmartEmailing%20v3.

Operácie

MetódaCestaPopis
GET/api/v3/account-infoAccount info (guid = tenant id for API v1)
GET/api/v3/check-credentialsCheck the credentials
POST/api/v3/check-credentialsCheck the credentials
GET/api/v3/contactlistsList contact lists
GET/api/v3/contactlists/{list_id}Get a contact list
GET/api/v3/contactsList contacts
GET/api/v3/contacts/{contact_id}Get a contact
GET/api/v3/customfieldsList custom fields
GET/api/v3/pingPing (no authentication)
GET/api/v3/web-hooksList account webhooks
POST/api/v3/web-hooksRegister an account webhook
DELETE/api/v3/web-hooks/{webhook_id}Delete an account webhook

Account info (guid = tenant id for API v1)

GET /api/v3/account-info

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
429Rate limit exceeded (...)

Check the credentials

GET /api/v3/check-credentials

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
429Rate limit exceeded (...)

Check the credentials

POST /api/v3/check-credentials

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
429Rate limit exceeded (...)

List contact lists

GET /api/v3/contactlists

Parametre

NázovKdeTypPovinnéPopis
limitqueryintegerniedefault 500, min 1, max 500
offsetqueryintegerniedefault 0, min 0
selectquerystringnieComma separated properties to return.
sortquerystringnieComma separated properties, "-" = descending.

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Get a contact list

GET /api/v3/contactlists/{list_id}

Parametre

NázovKdeTypPovinnéPopis
list_idpathintegeráno

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
404Not Found
429Rate limit exceeded (...)

List contacts

GET /api/v3/contacts

Parametre

NázovKdeTypPovinnéPopis
limitqueryintegerniedefault 500, min 1, max 500
offsetqueryintegerniedefault 0, min 0
selectquerystringnieComma separated properties to return.
sortquerystringnieComma separated properties, "-" = descending.
emailaddressquerystringnieExact e-mail.
idqueryintegernie
blacklistedqueryone of: 0, 1nie
hardbouncedqueryone of: 0, 1nie
expandqueryone of: customfieldsnie

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Get a contact

GET /api/v3/contacts/{contact_id}

Parametre

NázovKdeTypPovinnéPopis
contact_idpathintegeráno
expandqueryone of: customfieldsnie

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
404Not Found
429Rate limit exceeded (...)

List custom fields

GET /api/v3/customfields

Parametre

NázovKdeTypPovinnéPopis
limitqueryintegerniedefault 500, min 1, max 500
offsetqueryintegerniedefault 0, min 0
selectquerystringnieComma separated properties to return.
sortquerystringnieComma separated properties, "-" = descending.
expandqueryone of: customfield_optionsnie

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Ping (no authentication)

GET /api/v3/ping

Bez prihlásenia.

Odpovede

  • 200 OK: application/json object

List account webhooks

GET /api/v3/web-hooks

Parametre

NázovKdeTypPovinnéPopis
limitqueryintegerniedefault 500, min 1, max 500
offsetqueryintegerniedefault 0, min 0
selectquerystringnieComma separated properties to return.
sortquerystringnieComma separated properties, "-" = descending.
idquerystringnie
eventquerystringnie
urlquerystringnie
activequerystringnie
methodquerystringnie
timeoutquerystringnie

Odpovede

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Register an account webhook

POST /api/v3/web-hooks

Telo požiadavky (application/json)

PoleTypPovinnéPopis
target_urlstringánohttp(s) URL, at most 1 000 characters; public addresses only.
eventone of: new_contact, updated_contact, unsubscribed_contact, email_delivery_started, delivery_status, sent_email, email_open, email_click, scoring_result_changed, engagement_level_changed, sms_delivery_statusánoFired: new_contact, updated_contact, unsubscribed_contact, delivery_status, sent_email, email_open, email_click. Accepted but never fired yet: email_delivery_started, scoring_result_changed, engagement_level_changed, sms_delivery_status.
basic_authobjectnieOptional HTTP Basic the calls send (login 1 to 200 without ":", password 1 to 500).

Odpovede

  • 201 Created: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
409Already exists
422Validation failed: <parameter>
429Rate limit exceeded (...)

Delete an account webhook

DELETE /api/v3/web-hooks/{webhook_id}

Parametre

NázovKdeTypPovinnéPopis
webhook_idpathintegeráno

Odpovede

  • 204 Deleted

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
404Not Found
429Rate limit exceeded (...)

Schémy

SeContact

A contact in SmartEmailing's shape: times "YYYY-MM-DD HH:MM:SS" local, flags 0 / 1, gender M / F, language cs_CZ ...

PoleTypPovinnéPopis
idintegernie
guidanynie
emailaddressstringnie
nameanynie
surnameanynie
titlesbeforeanynie
titlesafteranynie
salutionanynie
companyanynie
streetanynie
townanynie
postalcodeanynie
countryanynie
cellphoneanynie
phoneanynie
languageanynie
birthdayanynie
namedayanynie
genderanynie
notesanynie
realnameanynie
blacklistedintegernie
is_blacklistedanynie
hardbouncedanynie
softbouncedanynie
createdanynie
updatedanynie
created_atanynie
last_updated_atanynie
domainanynie
originanynie
contactlistsarray of objectnie
customfieldsarray of objectnieOnly with expand=customfields.
customfields_urlanynie

SeContactList

PoleTypPovinnéPopis
idintegernie
namestringnie
publicnameanynie
sendernameanynie
senderemailanynie
replytoanynie
signatureanynie
notesanynie
categoryanynie
hiddenanynie
createdanynie
alertInanynie
alertOutanynie

SeCustomField

PoleTypPovinnéPopis
idanynie
nameanynie
typeanynie
options_urlanynie
customfield_optionsanynie

SeError

PoleTypPovinnéPopis
statuserroráno
metaarray of anynie
messagestringáno
json
{
  "status": "error",
  "meta": [],
  "message": "Authentication Failed"
}

SeWebhook

PoleTypPovinnéPopis
idanynie
urlanynie
methodanynie
eventone of: new_contact, updated_contact, unsubscribed_contact, email_delivery_started, delivery_status, sent_email, email_open, email_click, scoring_result_changed, engagement_level_changed, sms_delivery_statusnie
activeanynie
timeoutanynie
last_response_codeanynie
last_call_timeanynie
errors_in_rowanynie
basic_authanynie